﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Statustask.Resources;
using Microsoft.Phone.Tasks;

namespace Statustask
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        //Status task
        private void share_status_task_button_click(object sender, RoutedEventArgs e)
        {
            //Create a new instance of the task
            ShareStatusTask statustask = new ShareStatusTask();
            
            //set the status property
            statustask.Status = "I am making a new windows phone application";
            
            //launch the task
            statustask.Show();
        }


        //Share link task
        private void Share_link_task_button_click(object sender, RoutedEventArgs e)
        {
            //Create a new instance of the task
            ShareLinkTask shareLinkTask = new ShareLinkTask();

            //set the properties
            shareLinkTask.Title = "WindowsPhoneapp tutorials";
            shareLinkTask.LinkUri = new Uri("http://www.windowsapptutorials.com/", UriKind.Absolute);
            shareLinkTask.Message = "LEARN TO WRITE BETTER APPS FOR WINDOWS PHONE AND WINDOWS 8.1";
            
            //launch the task
            shareLinkTask.Show();
        }

       
    }
}